Backlight (screen brightness) on Lenovo P14s AMD Gen2 inop

Bug #1934557 reported by Simon Liebold
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
AaronMa
Hirsute
Undecided
Unassigned
Impish
Undecided
AaronMa
linux-oem-5.10 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
linux-oem-5.13 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

Backlight does not change. Neither with the keys, nor with the slider. Values in /sys/class/backlight/amdgpu_bl0/brightness do change. However without effect on the actual brightness of the screen, which seems to be stuck at maximum brightness.

Following the instructions from here: https://wiki.ubuntu.com/Kernel/Debugging/Backlight

ProblemType: Bug
DistroRelease: Ubuntu 21.04
Package: linux-image-5.11.0-22-generic 5.11.0-22.23
ProcVersionSignature: Ubuntu 5.11.0-22.23-generic 5.11.21
Uname: Linux 5.11.0-22-generic x86_64
ApportVersion: 2.20.11-0ubuntu65.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: simon 1886 F.... pulseaudio
 /dev/snd/pcmC2D0p: simon 1886 F...m pulseaudio
 /dev/snd/controlC1: simon 1886 F.... pulseaudio
 /dev/snd/controlC0: simon 1886 F.... pulseaudio
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
Date: Sat Jul 3 09:46:53 2021
InstallationDate: Installed on 2021-07-03 (0 days ago)
InstallationMedia: Ubuntu 21.04 "Hirsute Hippo" - Release amd64 (20210420)
MachineType: LENOVO 21A0CTO1WW
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 amdgpudrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.11.0-22-generic root=/dev/mapper/vgubuntu-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.11.0-22-generic N/A
 linux-backports-modules-5.11.0-22-generic N/A
 linux-firmware 1.197.1
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/23/2021
dmi.bios.release: 1.5
dmi.bios.vendor: LENOVO
dmi.bios.version: R1MET35W (1.05 )
dmi.board.asset.tag: Not Available
dmi.board.name: 21A0CTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.ec.firmware.release: 1.5
dmi.modalias: dmi:bvnLENOVO:bvrR1MET35W(1.05):bd04/23/2021:br1.5:efr1.5:svnLENOVO:pn21A0CTO1WW:pvrThinkPadP14sGen2a:rvnLENOVO:rn21A0CTO1WW:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad P14s Gen 2a
dmi.product.name: 21A0CTO1WW
dmi.product.sku: LENOVO_MT_21A0_BU_Think_FM_ThinkPad P14s Gen 2a
dmi.product.version: ThinkPad P14s Gen 2a
dmi.sys.vendor: LENOVO

==============
SRU justification:

[Impact]
backlight can't be controlled on AMD platform.

[Fix]
AUX doesn't work on HDR panel, fallback to PWM mode to make backlight be controlled.

[Test]
Verified on hardware, backlight brightness works fine.

[Where problems could occur]
It may break backlight control on AMD platform.

Revision history for this message
Simon Liebold (simon-liebold) wrote :
Revision history for this message
Simon Liebold (simon-liebold) wrote :
Revision history for this message
AaronMa (mapengyu) wrote :

Hi Simon:
You got this laptop a bit earlier.
This issue is in progress.
Also could you upload the panel EDID?

$ sudo apt install read-edid
$ sudo get-edid > p14s2a.edid

Changed in linux (Ubuntu):
assignee: nobody → AaronMa (mapengyu)
Revision history for this message
Simon Liebold (simon-liebold) wrote :

Hi Aaron, attaching the edid file.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Morj (pavel-a-nikitin) wrote :

Hi! Do you need some extra information from me? I also have the P14s Gen2 with a 4K screen.

Revision history for this message
AaronMa (mapengyu) wrote :

Please pass kernel parameter "amdgpu.backlight=0" for workaround.

Kernel bug is already filed, and maintainer is notified:
https://bugzilla.kernel.org/show_bug.cgi?id=213715

Revision history for this message
Morj (pavel-a-nikitin) wrote :

Can confirm the workaround does the job, thanks!

AaronMa (mapengyu)
description: updated
tags: added: oem-priority originate-from-1933579 sutton
AaronMa (mapengyu)
no longer affects: linux-oem-5.13 (Ubuntu Hirsute)
no longer affects: linux-oem-5.13 (Ubuntu Impish)
no longer affects: linux-oem-5.10 (Ubuntu Hirsute)
no longer affects: linux-oem-5.10 (Ubuntu Impish)
no longer affects: linux (Ubuntu Focal)
Revision history for this message
AaronMa (mapengyu) wrote :
AceLan Kao (acelankao)
Changed in linux-oem-5.10 (Ubuntu Focal):
status: New → Fix Committed
Changed in linux (Ubuntu Hirsute):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.10 - 5.10.0-1044.46

---------------
linux-oem-5.10 (5.10.0-1044.46) focal; urgency=medium

  * focal/linux-oem-5.10: 5.10.0-1044.46 -proposed tracker (LP: #1939533)

  * mute/micmute LEDs no function on HP ProBook 650 G8 (LP: #1939473)
    - SAUCE: ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 650 G8
      Notebook PC

 -- Chia-Lin Kao (AceLan) <email address hidden> Wed, 11 Aug 2021 17:35:07 +0800

Changed in linux-oem-5.10 (Ubuntu Focal):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.13 (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-hirsute' to 'verification-done-hirsute'. If the problem still exists, change the tag 'verification-needed-hirsute' to 'verification-failed-hirsute'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-hirsute
Revision history for this message
Simon Liebold (simon-liebold) wrote :

I no longer have access to the hardware. So, I - the original reporter - cannot verify the fix.

Revision history for this message
AaronMa (mapengyu) wrote :

Verified on 5.11.0-33 kernel, backlight can be changed.

tags: added: verification-done-hirsute
removed: verification-needed-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (62.5 KiB)

This bug was fixed in the package linux - 5.11.0-34.36

---------------
linux (5.11.0-34.36) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-34.36 -proposed tracker (LP: #1941766)

  * Server boot failure after adding checks for ACPI IRQ override (LP: #1941657)
    - Revert "ACPI: resources: Add checks for ACPI IRQ override"

linux (5.11.0-33.35) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-33.35 -proposed tracker (LP: #1940101)

  * libvirtd fails to create VM (LP: #1940107)
    - sched: Stop PF_NO_SETAFFINITY from being inherited by various init system
      threads

linux (5.11.0-32.34) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-32.34 -proposed tracker (LP: #1939769)

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2021.08.16)

  * CVE-2021-3656
    - SAUCE: KVM: nSVM: always intercept VMLOAD/VMSAVE when nested

  * CVE-2021-3653
    - SAUCE: KVM: nSVM: avoid picking up unsupported bits from L2 in int_ctl

  * [regression] USB device is not detected during boot (LP: #1939638)
    - SAUCE: Revert "usb: core: reduce power-on-good delay time of root hub"

  * Support builtin revoked certificates (LP: #1932029)
    - [Packaging] build canonical-revoked-certs.pem from branch/arch certs
    - [Packaging] Revoke 2012 UEFI signing certificate as built-in
    - [Config] Configure CONFIG_SYSTEM_REVOCATION_KEYS with revoked keys

  * Support importing mokx keys into revocation list from the mok table
    (LP: #1928679)
    - SAUCE: integrity: add informational messages when revoking certs

  * Support importing mokx keys into revocation list from the mok table
    (LP: #1928679) // CVE-2020-26541 when certificates are revoked via
    MokListXRT.
    - SAUCE: integrity: Load mokx certs from the EFI MOK config table

  * Include product_sku info to modalias (LP: #1938143)
    - firmware/dmi: Include product_sku info to modalias

  * Fix Ethernet not working by hotplug - RTL8106E (LP: #1930645)
    - net: phy: rename PHY_IGNORE_INTERRUPT to PHY_MAC_INTERRUPT
    - SAUCE: r8169: Use PHY_POLL when RTL8106E enable ASPM

  * [SRU][H/OEM-5.10/OEM-5.13/U] Fix system hang after unplug tbt dock
    (LP: #1938689)
    - SAUCE: igc: fix page fault when thunderbolt is unplugged

  * [Regression] Audio card [8086:9d71] not detected after upgrade from linux
    5.4 to 5.8 (LP: #1915117)
    - [Config] set CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC to y

  * Backlight (screen brightness) on Lenovo P14s AMD Gen2 inop (LP: #1934557)
    - drm/amdgpu/display: only enable aux backlight control for OLED panels

  * Touchpad not working with ASUS TUF F15 (LP: #1937056)
    - pinctrl: tigerlake: Fix GPIO mapping for newer version of software

  * dev_forward_skb: do not scrub skb mark within the same name space
    (LP: #1935040)
    - dev_forward_skb: do not scrub skb mark within the same name space

  * Fix display output on HP hybrid GFX laptops (LP: #1936296)
    - drm/i915: Invoke another _DSM to enable MUX on HP Workstation laptops

  * [SRU][OEM-5.10/H] UBUNTU: SAUCE: Fix backlight control on Samsung 16727
    panel (LP: #1930527)
    - SAUCE: drm/i915: Force DPCD backlight mode for Samsung 16727 pa...

Changed in linux (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.13.0-16.16

---------------
linux (5.13.0-16.16) impish; urgency=medium

  * impish/linux: 5.13.0-16.16 -proposed tracker (LP: #1942611)

  * Miscellaneous Ubuntu changes
    - [Config] update toolchain in configs

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Enable CONFIG_UBSAN_BOUNDS"

 -- Andrea Righi <email address hidden> Fri, 03 Sep 2021 16:21:14 +0200

Changed in linux (Ubuntu Impish):
status: Confirmed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.13 - 5.13.0-1014.18

---------------
linux-oem-5.13 (5.13.0-1014.18) focal; urgency=medium

  * focal/linux-oem-5.13: 5.13.0-1014.18 -proposed tracker (LP: #1944429)

  * CVE-2021-40490
    - ext4: fix race writing to an inline_data file while its xattrs are changing

  * CVE-2021-41073
    - io_uring: ensure symmetry in handling iter types in loop_rw_iter()

 -- Timo Aaltonen <email address hidden> Wed, 22 Sep 2021 18:34:24 +0300

Changed in linux-oem-5.13 (Ubuntu Focal):
status: Fix Committed → Fix Released
Po-Hsu Lin (cypressyew)
Changed in linux-oem-5.10 (Ubuntu):
status: New → Invalid
Changed in linux-oem-5.13 (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.